/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// ui逻辑处理类
/// created by chenwb 2024

import FguiMgr from "../../../../frameWork/fgui/FguiMgr";
import { FguiViewCtrl } from "../../../../frameWork/fgui/mvc/FguiViewCtrl";
import { DialogViewVM } from "./DialogViewVM";
import { DialogViewView } from "./DialogViewView";

export class DialogViewCtrl extends FguiViewCtrl<DialogViewVM> {
    OnInited(): void {
    }
    OnShow(intent?: any): void {
        this.AddListeners();
    }
    OnHide(): void {
        this.RemoveListeners();
    }
    //#region UI事件
    private AddListeners() : void {
        this.RegisterClick(this.VM.CancelBtn, this.OnClickCancelBtn);
        this.RegisterClick(this.VM.ConfirmBtn, this.OnClickConfirmBtn);
        this.RegisterClick(this.VM.VideoBtn, this.OnClickVideoBtn);
        this.RegisterClick(this.VM.Toggle, this.OnClickToggle);

    }
    private RemoveListeners() : void {
// <#UIEventsRemoveArea>
    }
    private OnClickCancelBtn(): void {
    }
    private OnClickConfirmBtn(): void {
    }
    private OnClickVideoBtn(): void {
    }
    private OnClickToggle(): void {
    }

    private Close(): void{
        FguiMgr.Instance.closeUI(DialogViewView);
    }
    //#endregion
}